{% extends 'user.html.twig' %}

{% block title %}Gérer les cours{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Gérer les formations</h1>
		<a href="{{ path("formation_ajout") }}" class="btn btn-primary" role="button">+</a>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom de la formation</th>
					<th>Age</th>
					<th>Nombre de stagiaires min</th>
					<th>Nombre de stagiaires max</th>
					<th>Nombre de formateurs</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			{% for formation in app.user.formation %}
				<tr>
					<td>{{formation.libelleFormation}}</td>
					<td>{{formation.age}}</td>
					<td>{{formation.nbMinStagiaire}}</td>
					<td>{{formation.nbMaxStagiaire}}</td>
					<td>{{formation.nbFormateur}}</td>
					<td class="text-center">
						<a href="{{ path("formation_show", {id:formation.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("formation_edit", {id: formation.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="{{ path("formation_edit_document", {id: formation.id}) }}" class="btn blue"><i class="bi bi-file-earmark-check"></i></a>
						<a href="#" class="btn primary press modal-trigger" data-target="modal-delete" data-id="{{formation.id}}" data-titre="{{formation.libelleFormation}}"><i class="bi bi-trash"></i></a>
					</td>
				</tr>
			{% endfor %}
			</tbody>
		</table>

		<div class="modal white falling" id="modal-delete">
			<div class="modal-header">Supprimer un cours</div>
			<div class="divider"></div>
			<div class="modal-content">
			</div>
			<div class="divider"></div>
			<div class="modal-footer">
				<a href="" class="btn red">Valider</a>
				<button data-target="modal-delete" class="ml-auto btn small primary modal-trigger">Fermer</button>
			</div>
		</div>
	</div>
</section>

{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let modal = new Modal('#modal-delete');
			/*let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/annonces/activer/${this.dataset.id}`)
					xmlhttp.send()
				})
			}*/
			let supprimer = document.querySelectorAll(".modal-trigger")
			for(let bouton of supprimer){
				bouton.addEventListener("click", function () {
					document.querySelector(".modal-footer a").href = `/formation/supprimer/${this.dataset.id}`
					document.querySelector(".modal-content").innerText = `Êtes-vous sûr(e) de vouloir supprimer la formation "${this.dataset.libelleFormation}"`
				})
			}
		}
	</script>
{% endblock %}
